com.io7m.r2.core.debug

## Class R2DebugVisualizerRenderer

- java.lang.Object
- - com.io7m.r2.core.debug.R2DebugVisualizerRenderer

- All Implemented Interfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DebugVisualizerRendererType, R2DeletableType

      public final class R2DebugVisualizerRenderer
      extends Object
      implements R2DebugVisualizerRendererType

  The default implementation of the `R2DebugVisualizerRendererType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type ig)` Delete the current object.
    `boolean` | `isDeleted()`
    `static R2DebugVisualizerRendererType` | `newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g, R2ShaderPreprocessingEnvironmentReadableType in_shader_env, R2IDPoolType in_pool)` Construct a new renderer.
    `void` | `renderScene(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, com.io7m.jcanephora.profiler.JCGLProfilingContextType pc, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DebugVisualizerRendererParameters s)` Render the debug visualizations for the given scene.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newRenderer

          public static R2DebugVisualizerRendererType newRenderer(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type in_g,
                                                                  R2ShaderPreprocessingEnvironmentReadableType in_shader_env,
                                                                  R2IDPoolType in_pool)

      Construct a new renderer.
      Parameters:
        `in_g` - An OpenGL interface
        `in_pool` - The ID pool
        `in_shader_env` - Access to shader sources
      Returns:
        A new renderer

    - #### renderScene

          public void renderScene(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                  com.io7m.jcanephora.profiler.JCGLProfilingContextType pc,
                                  com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                  R2MatricesObserverType m,
                                  R2DebugVisualizerRendererParameters s)

      Description copied from interface: `R2DebugVisualizerRendererType`
      Render the debug visualizations for the given scene.
      Specified by:
        `renderScene` in interface `R2DebugVisualizerRendererType`
      Parameters:
        `area` - The viewport area
        `pc` - A profiling context
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The scene

    - #### delete

          public void delete(com.io7m.jcanephora.core.api.JCGLInterfaceGL33Type ig)
                      throws R2Exception

      Description copied from interface: `R2DeletableType`
      Delete the current object.
      Specified by:
        `delete` in interface `R2DeletableType`
      Parameters:
        `ig` - An OpenGL interface
      Throws:
        `R2Exception` - On errors

    - #### isDeleted

          public boolean isDeleted()

      Specified by:
        `isDeleted` in interface `com.io7m.jcanephora.core.JCGLResourceUsableType`

Copyright © 2017 <code@io7m.com> http://io7m.com